function [out] = mtobetp(m)
% computing BetP on  from the m vector 
% out = BetP vector: order a,b,c,... only on singletons

lm = length(m);
natoms = round(log2(lm)); 

if m(1) == 1
	out = 	ones(1,natoms)./natoms; % case of total conflict
else
	cardinals = [0 1];
	for i = 2:natoms
		cardinals = [cardinals cardinals+1];
	end
	cardinals(1) = 1; % to avoid division by 0
	x = m./cardinals;	
	
	for i = 1:natoms
		ind = [2^(i-1) + 1 :2^i];
		if i < natoms
			for j = 1:natoms-i
				ind = [ind ind+2^(i+j-1)]; 
			end
		end
		% ind = list of indices of supersets of atom i
		out(i) = sum(x(ind));
	end
	out = out./(1-m(1));
end
