function [out]=qtobetp(q)
% compute betp from q without looking at m
% out = BetP vector: order a,b,c,... only on singletons

lm = length(q);
natoms = round(log2(lm)); 

sign = [-1];
for i = 1:natoms
	sign = [sign -sign]
end
x = q.*sign;
x(1) = 0; % to avoid dividing by 0 in mtobetp

p = mtobetp(x);
out = p/sum(p); 
